path: /build/build/nvidia-550-kernel-open-modules-kernel-5.10-550.78.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-550/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.78
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.78
  - |
    eval 'rm -rf /nvidia-550-kernel-open-modules || true' && mkdir /nvidia-550-kernel-open-modules && \
    luet-portage --dir /nvidia-550-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-550-kernel-open-modules/lib/modules/nvidia-open/550.78/5.10.223-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:928145f86569bf8f087d9e603b6b0d587e7488ba51d647717ed76ea5c6b38bf7
  package:
    name: nvidia-550-kernel-open-modules
    version: "550.78"
    category: kernel-5.10
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-21 10:05:18.312484089 +0000 UTC m=+640.139184548
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.223
      original.package.slot: "550"
      original.package.version: "550.78"
    treedir: /build/packages
  package_dir: /nvidia-550-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7bc4eed7a6b1bc2fd8c8b61b45276382f716f70b986c622ada8133d1aeb5cec6
compressiontype: zstd
files:
- lib/modules/nvidia-open/550.78/5.10.223-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia-open/550.78/5.10.223-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia-open/550.78/5.10.223-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia-open/550.78/5.10.223-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-550-kernel-open-modules
  version: "550.78"
  category: kernel-5.10
  use_flags:
  - open-kernel
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.223
    original.package.slot: "550"
    original.package.version: "550.78"
